Bug 1675834 - qmc2: FTBFS in Fedora rawhide/f30
Summary: qmc2: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qmc2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:43 UTC by Fedora Release Engineering
Modified: 2019-02-14 09:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-14 09:15:52 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:43 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:43 UTC, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2019-02-11 21:43 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:43:44 UTC
qmc2 failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32469725


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix qmc2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
qmc2 will be orphaned. Before branching of Fedora 31,
qmc2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:43:46 UTC
Created attachment 1532508 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:43:48 UTC
Created attachment 1532509 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:43:49 UTC
Created attachment 1532510 [details]
state.log

Comment 4 Julian Sikorski 2019-02-11 23:31:23 UTC
The error is:
BUILDSTDERR: /usr/bin/ld: cannot find -lminizip
This is quite odd as minizip-devel is installed according to root.log. Looking at koschei this broke with minizip update from 2.8.1 to 2.8.3. I tried scratch builds explicitly defining MZ_COMPAT or ZLIB_COMPAT but neither helped.

Dear Patrik,
do you have any suggestions regarding what might be happening? Thank you!

Comment 5 Patrik Novotný 2019-02-13 14:52:57 UTC
Upstream has renamed the CMake project without setting a prefix for shared libraries. I've created new upstream PR[1] and patched minizip downstream[2] until this gets merged (and released). Build against new minizip release[3] should work fine.

[1] https://github.com/nmoinvaz/minizip/pull/365
[2] https://src.fedoraproject.org/rpms/minizip/c/d84b58990f9147422b34e3c9fbe4dda28bed0dea?branch=master
[3] https://koji.fedoraproject.org/koji/taskinfo?taskID=32780343

Comment 6 Igor Gnatenko 2019-02-14 09:15:52 UTC
There has been at least one successfull build after mass rebuild.

qmc2-0.195-6.fc30: https://koji.fedoraproject.org/koji/buildinfo?buildID=1201375


Note You need to log in before you can comment on or make changes to this bug.